package com.bocloud.cmp.model.hmc.pcm;

import java.util.List;

public class FiberChannelAdapter {
    private String id;
    private String wwpn;
    private String physicalLocation;
    private Double numOfReads;
    private Double numOfWrites;
    private Double readBytes;
    private Double writeBytes;
    private Double runningSpeed;
    private List<FCAdapterPort> ports;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public Double getNumOfReads() {
        return numOfReads;
    }

    public void setNumOfReads(Double numOfReads) {
        this.numOfReads = numOfReads;
    }

    public Double getNumOfWrites() {
        return numOfWrites;
    }

    public void setNumOfWrites(Double numOfWrites) {
        this.numOfWrites = numOfWrites;
    }

    public Double getReadBytes() {
        return readBytes;
    }

    public void setReadBytes(Double readBytes) {
        this.readBytes = readBytes;
    }

    public Double getWriteBytes() {
        return writeBytes;
    }

    public void setWriteBytes(Double writeBytes) {
        this.writeBytes = writeBytes;
    }

    public Double getRunningSpeed() {
        return runningSpeed;
    }

    public void setRunningSpeed(Double runningSpeed) {
        this.runningSpeed = runningSpeed;
    }

    public List<FCAdapterPort> getPorts() {
        return ports;
    }

    public void setPorts(List<FCAdapterPort> ports) {
        this.ports = ports;
    }
}
